Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 2443103003: Remove unused include in sequenced_worker_pool.h (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months ago by gab
Modified:
10 months, 3 weeks ago
CC:
chromium-reviews, jsbell
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove dependency of sequenced_worker_pool.h on SingleThreadTaskRunner. Breaks a cyclic dependency in an upcoming CL of mine. Removing the include of single_thread_task_runner.h here breaks IWYU all over the place! The trickiest IWYU thing being exposed by this is that in order for scoped_refptr<Foo> to be instantiated (not even used), Foo needs to be fully defined. This means that, by IWYU, anyone taking a scoped_refptr<Foo> by value or returning one by value needs to #include "foo.h". It's still fine to fwd-decl foo when passing via const scoped_refptr<Foo>& or having a scoped_refptr<Foo> foo_; member in a class constructed/destroyed out-of-line. BUG=653916 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_precise_blink_rel TBR=reviewers for IWUU side-effects (and minor other touchups): kmarshall@: blimp/ danakj@: cc/ storage/ bartfab@: chrome/browser/chromeos/policy/ gene@: chrome/service/ maxbogue@: components/browser_sync/ components/sync/ bengr@: components/data_reduction_proxy/ fukino@: components/drive/ dimich@: components/gcm_driver/ bradnelson@: components/nacl/ achuith@: components/pairing/ rsesek@: components/upload_list/ mef@: components/wifi/ michaeln@: content/browser/cache_storage/ content/child/fileapi/ dgozman@: content/browser/devtools/ csharrison@: content/browser/loader/ hbos@: content/renderer/media/ mkwst@: content/shell/ pfeldman@: device/usb/ kbr@: gpu/ droger@: ios/ rockot@: ipc/ dalecurtis@: media/ agl@: net/ garykac@: remoting/ erg@: services/ui/ dglazkov@: third_party/WebKit/Source/platform/ Committed: https://crrev.com/10ae436fe808a33451641e3b92e10f20954e28dc Cr-Commit-Position: refs/heads/master@{#429451}

Patch Set 1 #

Patch Set 2 : fix IWUU in cache_storage #

Patch Set 3 : fix IWUU in net/ #

Patch Set 4 : more IWUU fixes #

Patch Set 5 : and more! #

Total comments: 4

Patch Set 6 : merge up to r428710 #

Patch Set 7 : fix post merge compile #

Patch Set 8 : more IWYU fixes #

Patch Set 9 : and more android/ios/cros #

Patch Set 10 : and more: win #

Total comments: 2

Patch Set 11 : nit #

Patch Set 12 : and more ios/chromeos #

Total comments: 2

Patch Set 13 : more chromeos #

Patch Set 14 : merge up to r429325 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+164 lines, -60 lines) Patch
M base/threading/sequenced_worker_pool.h View 1 2 3 4 5 chunks +6 lines, -8 lines 0 comments Download
M base/threading/sequenced_worker_pool.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +4 lines, -4 lines 0 comments Download
M blimp/client/core/context/assignment_fetcher.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M blimp/client/core/session/assignment_source.h View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M blimp/client/core/session/assignment_source.cc View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M blimp/engine/renderer/frame_scheduler.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M cc/blimp/remote_compositor_bridge.h View 1 2 3 4 2 chunks +3 lines, -4 lines 0 comments Download
M cc/blimp/remote_compositor_bridge.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M cc/blimp/remote_compositor_bridge_client.h View 1 2 3 4 1 chunk +0 lines, -4 lines 0 comments Download
M cc/output/context_cache_controller.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M cc/output/context_cache_controller.cc View 1 2 3 1 chunk +0 lines, -1 line 0 comments Download
M cc/test/fake_remote_compositor_bridge.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M cc/test/fake_remote_compositor_bridge.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/policy/upload_job_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/policy/upload_job_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M chrome/service/service_utility_process_host.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/service/service_utility_process_host.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M components/browser_sync/signin_confirmation_helper.h View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M components/browser_sync/signin_confirmation_helper.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_service.h View 1 2 3 4 5 2 chunks +1 line, -1 line 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_service.cc View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M components/drive/chromeos/file_system.h View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +2 lines, -0 lines 0 comments Download
M components/drive/chromeos/file_system.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +2 lines, -0 lines 0 comments Download
M components/drive/chromeos/file_system/get_file_for_saving_operation.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M components/drive/chromeos/file_system/get_file_for_saving_operation.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M components/drive/chromeos/resource_metadata.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +2 lines, -0 lines 0 comments Download
M components/drive/file_system/get_file_for_saving_operation_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +2 lines, -0 lines 0 comments Download
M components/drive/file_write_watcher.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +2 lines, -0 lines 0 comments Download
M components/gcm_driver/crypto/gcm_key_store.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/gcm_driver/fake_gcm_driver.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M components/gcm_driver/fake_gcm_driver.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M components/nacl/common/nacl_debug_exception_handler_win.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M components/pairing/bluetooth_host_pairing_controller.h View 1 2 3 4 5 6 7 8 1 chunk +4 lines, -0 lines 0 comments Download
M components/pairing/bluetooth_host_pairing_controller.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/model_impl/model_type_store_impl.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/sync/model_impl/model_type_store_impl.cc View 1 2 3 1 chunk +0 lines, -1 line 0 comments Download
M components/upload_list/crash_upload_list.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M components/wifi/wifi_service.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M content/browser/cache_storage/cache_storage_operation.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/devtools/protocol/tethering_handler.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M content/browser/loader/upload_data_stream_builder.cc View 1 2 3 2 chunks +5 lines, -0 lines 0 comments Download
M content/child/fileapi/webfilewriter_impl.h View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M content/public/browser/browser_thread.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/media/gpu/rtc_video_encoder.h View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M content/renderer/media/html_video_element_capturer_source.h View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M content/shell/browser/shell_url_request_context_getter.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M device/usb/usb_device_handle_android.h View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M device/usb/usb_device_handle_usbfs.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M device/usb/usb_service.h View 1 2 3 1 chunk +2 lines, -4 lines 0 comments Download
M gpu/ipc/client/command_buffer_proxy_impl.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M ios/web/public/web_thread.h View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -0 lines 0 comments Download
M ipc/attachment_broker.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M ipc/attachment_broker_privileged.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M media/base/android/media_drm_bridge.h View 1 2 3 4 5 6 7 8 2 chunks +5 lines, -0 lines 0 comments Download
M media/base/media_url_demuxer.h View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M media/base/media_url_demuxer.cc View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M media/renderers/video_overlay_factory.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/base/upload_file_element_reader.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M net/nqe/socket_watcher_factory.h View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M net/ssl/ssl_platform_key.h View 1 2 1 chunk +0 lines, -5 lines 0 comments Download
M net/ssl/ssl_platform_key_chromecast.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M net/ssl/ssl_platform_key_mac.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M net/ssl/ssl_platform_key_nss.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M net/ssl/ssl_platform_key_util.h View 1 2 3 1 chunk +1 line, -4 lines 0 comments Download
M net/ssl/ssl_platform_key_win.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M remoting/client/queued_task_poster.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/client/queued_task_poster_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/host/fake_desktop_environment.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/host/fake_desktop_environment.cc View 1 2 3 4 2 chunks +6 lines, -4 lines 0 comments Download
M remoting/host/native_messaging/log_message_handler.h View 1 2 3 4 1 chunk +5 lines, -0 lines 0 comments Download
M remoting/host/native_messaging/log_message_handler.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/ice_connection_to_client.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/protocol/ice_connection_to_client.cc View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/ice_connection_to_host.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/webrtc_audio_source_adapter.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/protocol/webrtc_audio_source_adapter.cc View 1 2 3 4 2 chunks +3 lines, -1 line 0 comments Download
M remoting/protocol/webrtc_dummy_video_encoder.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/webrtc_video_stream.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/webrtc_video_stream.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M services/ui/public/cpp/gles2_context.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M services/ui/surfaces/surfaces_context_provider.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
M services/ui/surfaces/surfaces_context_provider.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
M services/ui/ws/server_window_compositor_frame_sink.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +6 lines, -0 lines 0 comments Download
M services/ui/ws/server_window_compositor_frame_sink.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -0 lines 0 comments Download
M storage/browser/blob/blob_async_builder_host.h View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M storage/browser/blob/blob_data_handle.h View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M storage/browser/blob/blob_data_handle.cc View 1 2 3 4 2 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/DEPS View 1 2 3 2 chunks +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/WebTaskRunner.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/heap/PersistentNode.cpp View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 129 (80 generated)
gab
Dana PTAL and CQ, thanks!
11 months ago (2016-10-24 14:45:16 UTC) #4
gab
On 2016/10/24 14:45:16, gab wrote: > Dana PTAL and CQ, thanks! Actually wait, IWUU is ...
11 months ago (2016-10-24 16:23:29 UTC) #17
danakj
On 2016/10/24 16:23:29, gab wrote: > On 2016/10/24 14:45:16, gab wrote: > > Dana PTAL ...
11 months ago (2016-10-24 18:40:42 UTC) #18
gab
On 2016/10/24 18:40:42, danakj wrote: > On 2016/10/24 16:23:29, gab wrote: > > On 2016/10/24 ...
11 months ago (2016-10-28 20:29:40 UTC) #30
gab
Inline notes: https://codereview.chromium.org/2443103003/diff/120001/base/threading/sequenced_worker_pool.h File base/threading/sequenced_worker_pool.h (right): https://codereview.chromium.org/2443103003/diff/120001/base/threading/sequenced_worker_pool.h#newcode233 base/threading/sequenced_worker_pool.h:233: SequenceToken token) WARN_UNUSED_RESULT; By the IWUU described ...
11 months ago (2016-10-28 20:30:11 UTC) #31
gab
One more note, don't worry about the red bots, will rebase on Monday but it ...
11 months ago (2016-10-28 20:32:23 UTC) #32
danakj
LGTM tho aren't you going to make scoped_refptr<T> not require including t.h? https://codereview.chromium.org/2443103003/diff/120001/base/threading/sequenced_worker_pool.h File base/threading/sequenced_worker_pool.h ...
10 months, 4 weeks ago (2016-10-29 00:01:28 UTC) #33
gab
On 2016/10/29 00:01:28, danakj wrote: > LGTM tho aren't you going to make scoped_refptr<T> not ...
10 months, 3 weeks ago (2016-10-31 15:23:52 UTC) #36
gab
TBR reviewers for IWUU side-effects (and minor other touchups): danakj@: cc/ gene@: chrome/service/ bengr@: components/data_reduction_proxy/ ...
10 months, 3 weeks ago (2016-10-31 15:38:00 UTC) #38
gab
Slight tweaks to reviewer list [-jsbell@, +maxbogue@]: TBR reviewers for IWUU side-effects (and minor other ...
10 months, 3 weeks ago (2016-10-31 15:41:10 UTC) #42
mef
components/wifi lgtm
10 months, 3 weeks ago (2016-10-31 15:44:52 UTC) #43
commit-bot: I haz the power
This CL has an open dependency (Issue 2446403006 Patch 60001). Please resolve the dependency and ...
10 months, 3 weeks ago (2016-10-31 15:51:07 UTC) #47
commit-bot: I haz the power
This CL has an open dependency (Issue 2446403006 Patch 60001). Please resolve the dependency and ...
10 months, 3 weeks ago (2016-10-31 15:52:07 UTC) #51
gab
TBR reviewers for IWUU side-effects (and minor other touchups): + kmarshall@: blimp/ + rsesek@: components/upload_list/ ...
10 months, 3 weeks ago (2016-10-31 17:42:28 UTC) #58
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/180001
10 months, 3 weeks ago (2016-10-31 17:44:10 UTC) #61
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_amd64-generic_chromium_compile_only_ng/builds/226280)
10 months, 3 weeks ago (2016-10-31 18:02:15 UTC) #63
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/200001
10 months, 3 weeks ago (2016-10-31 18:27:52 UTC) #66
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/220001
10 months, 3 weeks ago (2016-10-31 18:29:29 UTC) #70
gab
TBR reviewers for IWUU side-effects (and minor other touchups): + droger@: ios/ + bradnelson@: components/nacl/ ...
10 months, 3 weeks ago (2016-10-31 18:32:14 UTC) #72
Robert Sesek
Just a nit, but lgtm https://codereview.chromium.org/2443103003/diff/220001/components/upload_list/crash_upload_list.h File components/upload_list/crash_upload_list.h (right): https://codereview.chromium.org/2443103003/diff/220001/components/upload_list/crash_upload_list.h#newcode10 components/upload_list/crash_upload_list.h:10: #include "base/task_runner.h" This has ...
10 months, 3 weeks ago (2016-10-31 18:33:17 UTC) #74
gab
https://codereview.chromium.org/2443103003/diff/220001/components/upload_list/crash_upload_list.h File components/upload_list/crash_upload_list.h (right): https://codereview.chromium.org/2443103003/diff/220001/components/upload_list/crash_upload_list.h#newcode10 components/upload_list/crash_upload_list.h:10: #include "base/task_runner.h" On 2016/10/31 18:33:17, Robert Sesek wrote: > ...
10 months, 3 weeks ago (2016-10-31 18:35:18 UTC) #77
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/240001
10 months, 3 weeks ago (2016-10-31 18:35:43 UTC) #78
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_amd64-generic_chromium_compile_only_ng/builds/226337)
10 months, 3 weeks ago (2016-10-31 19:01:18 UTC) #80
gab
TBR reviewers for IWUU side-effects (and minor other touchups): + fukino: components/drive/ (PS: this component ...
10 months, 3 weeks ago (2016-10-31 19:25:56 UTC) #82
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/260001
10 months, 3 weeks ago (2016-10-31 19:27:53 UTC) #86
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_x86-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_x86-generic_chromium_compile_only_ng/builds/226522)
10 months, 3 weeks ago (2016-10-31 20:20:42 UTC) #88
michaeln
r/s lgtm
10 months, 3 weeks ago (2016-10-31 20:51:59 UTC) #89
Kevin M
blimp lgtm
10 months, 3 weeks ago (2016-10-31 22:52:04 UTC) #90
Ken Russell (switch to Gerrit)
gpu lgtm
10 months, 3 weeks ago (2016-11-01 02:36:09 UTC) #91
Charlie Harrison
https://codereview.chromium.org/2443103003/diff/260001/content/browser/loader/upload_data_stream_builder.cc File content/browser/loader/upload_data_stream_builder.cc (right): https://codereview.chromium.org/2443103003/diff/260001/content/browser/loader/upload_data_stream_builder.cc#newcode17 content/browser/loader/upload_data_stream_builder.cc:17: #include "base/single_thread_task_runner.h" I'm not sure why this can't be ...
10 months, 3 weeks ago (2016-11-01 02:53:35 UTC) #92
hbos_chromium
content/renderer/media/ lgtm
10 months, 3 weeks ago (2016-11-01 08:47:17 UTC) #93
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/280001
10 months, 3 weeks ago (2016-11-01 13:22:39 UTC) #96
gab
@csharrison https://codereview.chromium.org/2443103003/diff/260001/content/browser/loader/upload_data_stream_builder.cc File content/browser/loader/upload_data_stream_builder.cc (right): https://codereview.chromium.org/2443103003/diff/260001/content/browser/loader/upload_data_stream_builder.cc#newcode17 content/browser/loader/upload_data_stream_builder.cc:17: #include "base/single_thread_task_runner.h" On 2016/11/01 02:53:35, Charlie Harrison wrote: ...
10 months, 3 weeks ago (2016-11-01 13:30:59 UTC) #97
Charlie Harrison
lgtm thanks for the explanation.
10 months, 3 weeks ago (2016-11-01 13:34:53 UTC) #98
gab
TBR reviewers for IWUU side-effects (and minor other touchups): + bartfab@: chrome/browser/chromeos/policy/ danakj@: cc/ storage/ ...
10 months, 3 weeks ago (2016-11-01 13:42:03 UTC) #100
agl
lgtm
10 months, 3 weeks ago (2016-11-01 15:26:08 UTC) #103
maxbogue
sync lgtm
10 months, 3 weeks ago (2016-11-01 16:25:53 UTC) #104
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/328550)
10 months, 3 weeks ago (2016-11-01 17:24:03 UTC) #106
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/280001
10 months, 3 weeks ago (2016-11-01 20:45:20 UTC) #108
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/328797)
10 months, 3 weeks ago (2016-11-02 00:48:43 UTC) #110
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/280001
10 months, 3 weeks ago (2016-11-02 13:26:56 UTC) #112
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/309499)
10 months, 3 weeks ago (2016-11-02 17:04:29 UTC) #114
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/280001
10 months, 3 weeks ago (2016-11-02 17:41:19 UTC) #116
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/323744) win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, ...
10 months, 3 weeks ago (2016-11-02 17:50:01 UTC) #118
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/300001
10 months, 3 weeks ago (2016-11-02 18:05:57 UTC) #121
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/254946) linux_chromium_chromeos_compile_dbg_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
10 months, 3 weeks ago (2016-11-02 20:07:56 UTC) #123
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443103003/300001
10 months, 3 weeks ago (2016-11-02 20:11:46 UTC) #125
commit-bot: I haz the power
Committed patchset #14 (id:300001)
10 months, 3 weeks ago (2016-11-02 23:35:27 UTC) #127
commit-bot: I haz the power
10 months, 3 weeks ago (2016-11-02 23:37:59 UTC) #129
Message was sent while issue was closed.
Patchset 14 (id:??) landed as
https://crrev.com/10ae436fe808a33451641e3b92e10f20954e28dc
Cr-Commit-Position: refs/heads/master@{#429451}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b